For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
      • GETReturn all your created email campaigns
      • POSTCreate an email campaign
      • PUTUpdate an email campaign
      • DELDelete an email campaign
      • POSTSend an email campaign immediately, based on campaignId
      • POSTSend an email campaign to your test list
      • PUTUpdate an email campaign status
      • GETGet a shared template url
      • POSTExport the recipients of an email campaign
        • POSTSend the report of a campaign
        • GETGet an email campaign report
        • GETGet an A/B test email campaign results
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Marketing CampaignsEmail CampaignsEmail Campaign Statistics

Send the report of a campaign

POST
https://api.brevo.com/v3/emailCampaigns/:campaignId/sendReport
POST
/v3/emailCampaigns/:campaignId/sendReport
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.emailCampaigns.sendReport(1, {
8 body: {
9 email: {
10 body: "Please find attached the report of our last email campaign.",
11 to: [
12 "jim.suehan@example.com",
13 ],
14 },
15 },
16 });
17}
18main();
A PDF will be sent to the specified email addresses
Was this page helpful?
Previous

Get an email campaign report

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

campaignIdlongRequired
Id of the campaign

Request

Values for send a report
emailobjectRequired
Custom attributes for the report email.
languageenumOptionalDefaults to fr
Language of email content for campaign report sending.

Response

Report has been successfully sent to the defined recipients

Errors

400
Bad Request Error
404
Not Found Error